package com.its.vms.entity;

import com.its.vms.dto.TbVmsFontNameDto;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 *  Entity Class
 */
@Getter
@Builder
@NoArgsConstructor//(access = AccessLevel.PROTECTED)
@AllArgsConstructor
public class TbVmsFontName implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer vmsFontNameCd;
    private String vmsFontNameNm;
    private String useYn;

    public TbVmsFontNameDto toDto() {
        return TbVmsFontNameDto.builder()
                .vmsFontNameCd(this.vmsFontNameCd)
                .vmsFontNameNm(this.vmsFontNameNm)
                .useYn(this.useYn)
                .build();
    }

}
